Package com.independentsoft.office.odf.styles

# Class ScientificNumber

java.lang.Object
com.independentsoft.office.odf.styles.Number
com.independentsoft.office.odf.styles.ScientificNumber

public class ScientificNumber extends Number
Represents the display formatting properties for a number style that should be displayed in scientific format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScientificNumber()`
  Initializes a new instance of the ScientificNumber class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScientificNumber`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getDecimalPlaces()`
  Gets the number of decimal places to display.
  `int`
  `getMinExponentDigits()`
  Gets the minimum number of digits to use to display an exponent.
  `int`
  `getMinIntegerDigits()`
  Gets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
  `boolean`
  `isGrouping()`
  Specifies whether the integer digits of a number should be grouped using a separator character.
  `void`
  `setDecimalPlaces​(int decimalPlaces)`
  Sets the number of decimal places to display.
  `void`
  `setGrouping​(boolean grouping)`
  Specifies whether the integer digits of a number should be grouped using a separator character.
  `void`
  `setMinExponentDigits​(int minExponentDigits)`
  Sets the minimum number of digits to use to display an exponent.
  `void`
  `setMinIntegerDigits​(int minIntegerDigits)`
  Sets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
  `String`
  `toString()`
  Converts the value of the current ScientificNumber object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScientificNumber

    public ScientificNumber()
    Initializes a new instance of the ScientificNumber class.

- ## Method Details

  - ### clone

    public ScientificNumber clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `Number`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ScientificNumber object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getMinExponentDigits

    public int getMinExponentDigits()
    Gets the minimum number of digits to use to display an exponent.
    Returns:
      the min exponent digits

  - ### setMinExponentDigits

    public void setMinExponentDigits​(int minExponentDigits)
    Sets the minimum number of digits to use to display an exponent.
    Parameters:
      `minExponentDigits` - the new min exponent digits

  - ### getDecimalPlaces

    public int getDecimalPlaces()
    Gets the number of decimal places to display.
    Returns:
      the decimal places

  - ### setDecimalPlaces

    public void setDecimalPlaces​(int decimalPlaces)
    Sets the number of decimal places to display.
    Parameters:
      `decimalPlaces` - the new decimal places

  - ### getMinIntegerDigits

    public int getMinIntegerDigits()
    Gets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
    Returns:
      the min integer digits

  - ### setMinIntegerDigits

    public void setMinIntegerDigits​(int minIntegerDigits)
    Sets the minimum number of integer digits to display in a number, a scientific number, or a fraction.
    Parameters:
      `minIntegerDigits` - the new min integer digits

  - ### isGrouping

    public boolean isGrouping()
    Specifies whether the integer digits of a number should be grouped using a separator character.
    Returns:
      true, if is grouping

  - ### setGrouping

    public void setGrouping​(boolean grouping)
    Specifies whether the integer digits of a number should be grouped using a separator character.
    Parameters:
      `grouping` - the new grouping